%define major 0.5
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: yaml-cpp
Version: 0.5.3
Release: %mkrel 2
Summary: A YAML parser and emitter for C++
Group: System/Libraries
License: MIT
URL: http://code.google.com/p/yaml-cpp/
Source0: http://yaml-cpp.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: sed

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %libname
Summary: Shared library for %{name}
Group: System/Libraries

%description -n %libname
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %develname
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
# Fix eol 
sed -i 's/\r//' LICENSE

%build
# ask cmake to not strip binaries
%cmake -DYAML_CPP_BUILD_TOOLS=0
%make

%install
%makeinstall_std -C build
find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc LICENSE
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %develname
%{_includedir}/yaml-cpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Dec 01 2016 bb <bb> 0.5.3-2pclos2016
- rebuild

* Sat Nov 19 2016 onkelho <oh.quait at t-online.de> 0.5.3-1pclos2016
- update new version

* Fri Apr 03 2015 bb <bb> 0.5.1-1pclos2015
- update

* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 0.3.0-1pclos2013
- imported package yaml-cpp

